Subject: Re: [PMOL] comments on draft-ietf-pmol-metrics-framework-00
From: Al Morton <[email-masked]>
To: [email-masked]
Date: Wed, 29 Oct 2008 17:22:22 -0400
List-Id: Performance Metrics at Other Layers <pmol.ietf.org>

One additional point, this definition for the term Index:
http://tools.ietf.org/html/draft-ietf-ippm-framework-compagg-06#section-3.7
could move to the PMOL framework memo, it seems to be
a different sort of composition than the types we addressed in
IPPM draft.

At 05:09 PM 10/29/2008, you wrote:
>I was asked to look at section 3.3 in particular,
>to help sync it up with:
>http://www.ietf.org/internet-drafts/draft-ietf-ippm-framework-compagg-07.txt
>
>comments below, as a participant,
>Al
>
>looks like [Ref ?] = draft-ietf-ippm-framework-compagg-07.txt
>
>
>>3.3.  Composed Metrics
>>...
>>    Spatial Composition is defined as the composition of metrics of the
>>    same type with differing spatial domains [Ref ?].  For spatially
>>    composed metrics to be meaningful, the spatial domains should be non-
>>    overlapping and contiguous, and the composition operation should be
>>    mathematically appropriate for the type of metric.
>
>Although we've used terms "complete path", "sub-path", and"network" 
>in the IPPM reference, spatial domains seems to work fine here.
>
>>    Temporal Composition is defined as the composition of metrics of the
>>    same type with differing time spans [Ref ?].  For temporally composed
>>    metrics to be meaningful, the time spans should be non-overlapping
>>    and contiguous, and the composition operation should be
>>    mathematically appropriate for the type of metric.
>
>Time spans is fine, too. We've used time "Intervals" and "sub-intervals"
>in the IPPM draft, but both are clear.
>
>
>
>_______________________________________________
>PMOL mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/pmol

_______________________________________________
PMOL mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pmol

Date: Wed, 29 Oct 2008 17:09:49 -0400
To: [email-masked]
From: Al Morton <[email-masked]>
Subject: [PMOL] comments on draft-ietf-pmol-metrics-framework-00
Sender: [email-masked]

I was asked to look at section 3.3 in particular,
to help sync it up with:
http://www.ietf.org/internet-drafts/draft-ietf-ippm-framework-compagg-07.txt

comments below, as a participant,
Al

looks like [Ref ?] = draft-ietf-ippm-framework-compagg-07.txt

>3.3.  Composed Metrics
>...
>    Spatial Composition is defined as the composition of metrics of the
>    same type with differing spatial domains [Ref ?].  For spatially
>    composed metrics to be meaningful, the spatial domains should be non-
>    overlapping and contiguous, and the composition operation should be
>    mathematically appropriate for the type of metric.

Although we've used terms "complete path", "sub-path", and"network" 
in the IPPM reference, spatial domains seems to work fine here.

>    Temporal Composition is defined as the composition of metrics of the
>    same type with differing time spans [Ref ?].  For temporally composed
>    metrics to be meaningful, the time spans should be non-overlapping
>    and contiguous, and the composition operation should be
>    mathematically appropriate for the type of metric.

Time spans is fine, too. We've used time "Intervals" and "sub-intervals"
in the IPPM draft, but both are clear.

_______________________________________________
PMOL mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pmol